<div id="blockcheckspelling">
	<span class="descr">{l s='Found a mistake? Select it and click' mod='blockcheckspelling'} <span class="keys">Ctrl + Enter</span></span>
</div>

<div class="block-call-window-cs"></div>

<script>
	$(function(){
		var selectText = function(){
			var text = "";
			if (window.getSelection) {
				text = window.getSelection();
			}else if (document.getSelection) {
				text = document.getSelection();
			}else if (document.selection) {
				text = document.selection.createRange().text;
			}
			return text.toString();
		};

		$(".block-call-window-cs").on("click", function (e) {
			e.preventDefault();

			$.ajax({
				type: "POST",
				cache: false,
				url: "/modules/blockcheckspelling/form.php",
				data: { text : selectText },
				success: function (data) {
					$.fancybox(data, {
						fitToView: false,
						width: 520,
						height: 210,
						autoSize: false,
						openEffect: 'none',
						closeEffect: 'none'
					});
				}
			});
		});

		$(document).on("keydown", function(e) {
			if ((e.keyCode == 10 || e.keyCode == 13) && e.ctrlKey) {
				$(".block-call-window-cs").trigger("click");
			}
		});
	});
</script>